// Ez a függvény megnézi hogy a szék adott sorában nincs-e a olyan már megvett szék, ami a túl közel van.
// Két különböző felhasználó székei között legalább 2 széknek kell lennie.
private bool szekSorCovidMegfelelo(int eloadas, int sor, int szek, int sor_hossza)
{
    // Ha a szék a harmadik és a (ez esetben) nyolcadik szék közé esik, akkor megvizsgáljuk hogy a körülötte lévő 4 szék
    // megengedi-e a foglalást.
    if (szek >= 3 && szek <= sor_hossza - 2)
    {
		// Megnézzük hogy a széktől balra és jobbra lévő 2 széknyi távolságon belül nincs-e megvéve más által szék.
		if (szekMegveve(eloadas, sor, szek) == false &&
			szekMegveve(eloadas, sor, szek - 1) == false &&
			szekMegveve(eloadas, sor, szek - 2) == false &&
			szekMegveve(eloadas, sor, szek + 1) == false &&
			szekMegveve(eloadas, sor, szek + 2) == false)
		{
			return true;
		}
	}
	// Ez esetben nem kell annyi széket vizsgálni, mert a széksor bal szélén van.
	else if (szek < 3)
	{
		if (szekMegveve(eloadas, sor, szek) == false &&
			szekMegveve(eloadas, sor, szek - 1) == false &&
			szekMegveve(eloadas, sor, szek + 1) == false &&
			szekMegveve(eloadas, sor, szek + 2) == false)
		{
			return true;
		}
	}
	// Ez esetben nem kell annyi széket vizsgálni, mert a széksor jobb szélén van.
	else if (szek > sor_hossza - 2)
	{
		if (szekMegveve(eloadas, sor, szek) == false &&
			szekMegveve(eloadas, sor, szek + 1) == false &&
			szekMegveve(eloadas, sor, szek - 1) == false &&
			szekMegveve(eloadas, sor, szek - 2) == false)
		{
			return true;
		}
	}

    return false;
}